%-*- master: Sanctus-Modern-Sections.ly;

\include "shorthands.ily"

sanctusGlobal = {
  \hide Staff.BarLine
  \set Score.tempoHideNote = ##t
  %hide Time signature and Key signature at line break
  \once \override Score.TimeSignature.break-visibility = #end-of-line-invisible
  \once \set Staff.explicitKeySignatureVisibility = #end-of-line-invisible
  \key f \major

   %force C time signature for mensural
  \tag #'mens {\set Staff.timeSignatureFraction = #'(4 . 4)}
  %but use modern time sig for modern edition
  \time 2/1
}

sanctusTipleOne = \relative c'' {
  \sanctusGlobal
  \[ c1 \m d \] \[ e d \] f1. \mE f2 e1 f g2. \m f4 e d e2 \mE d d f f1 f2. \m g4 a f \origBreak
  g2 \mE g1 d f2. \m e4 d c \[ d1 e \] \mE f2 f f f f e d cis d1 \restSplit a2. bes4 c1 c2 d1 \m \origBreak
  c2 \mE c d f e2 d f \m e d c1 b2 \mE c1 \longaRest r2 c2 d f e d c \m a \mE g1 r2 c2 bes1 a r2 g2 c d \tag #'mod { \once \override Score.TimeSignature.break-visibility = #all-invisible \time 3/1} d c c\breve \tag #'mod {\once \override Score.TimeSignature.break-visibility = #all-invisible \time 2/1} c
  \finalis
}
sanctusTipleOneWords = \lyricmode {
  San -- ctus, san -- ctus, san -- ctus Do -- mi -- nus De -- 
  us Sa -- ba -- oth. Ple -- ni sunt coe -- li et ter -- ra glo -- ri -- a tu -- a.
  O -- san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis, O -- san -- na, O -- san -- na in ex -- cel -- sis.

}

sanctusTenor = \relative c' {
  \sanctusGlobal
  \menRest a2 f2 \m a1 \mE c2 c \m d1. f2. e4 f d \mE e2 e \m d2. c4 bes a bes2 g c \mE f, f' f \m d f1 \mE \menRest e2 f2 \origBreak
  e2 e d2. \m e4 \mE f2 a2. \m g4 f e d2 d \mE c4 \m d e2 \mE c\breve \breveRest r2 d2 e f4 \m g a2. g4 \mE f2 f1 c2. \m d4 \mE \origBreak
  e2 d1 e2 c f \m d c \mE bes a1 bes2 \m c \mE g1 c \menRest a2 c2 c d c4 \m d \mE e2 a, \m d2 \mE g,1 r2 d'2 e f f c g'1 c, r2 g'2 c,2. \m d4 \ficta es2 \mE d f1. f2 e \m f c4 d e2 \mE f\breve
  \finalis
}
sanctusTenorWords = \lyricmode {
  San -- ctus, san -- ctus, san -- ctus, san -- ctus __ Do -- 
  mi -- nus De -- us Sa -- ba -- oth. Ple -- ni sunt coe -- li et 
  ter -- ra glo -- ri -- a tu -- a. O -- san -- na, O -- san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis.


}

sanctusBaxoOne = \relative c {
  \sanctusGlobal
  f2. \m e4 d c d2 \[ c1 g' \] d2. e4 \mE f1 \longaRest d'2. \m c4 bes a bes2 \mE c f, a c c \m g2. a4 bes2 \mE \origBreak
  a2 d,1 d2 g1 c,2 c f f f f d cis d a d1 r2 a'2 a a a1 a c2 g2. a4 bes2 c1 \origBreak
  \longaRest r1 r2 e,2 f a g f f \m c f4 g a bes c1 \mE bes2 f c' f, \restSplit f2 g1 a g f2 bes,1 \m f'2 c\breve \mE f
  \finalis

}
sanctusBaxoOneWords = \lyricmode {
  San -- ctus, san -- ctus Do -- mi -- nus De --
  us Sa -- ba -- oth, Sa -- ba -- oth. Ple -- ni sunt coe -- li et ter -- ra glo -- ri -- a tu -- a, glo -- ri -- a tu -- a.
  O -- san -- na in ex -- cel -- sis, O -- san -- na, O -- san -- na in ex -- cel -- sis.

}

sanctusTipleTwo = \relative c' {
  \sanctusGlobal
  \longaRest \[ f1 \m a \] c \mE d2 d2. \m c4 bes2 \mE c1 f2. \m e4 d c d2 \mE c1 r2 c2 c c bes2. \m c4 \mE d1 \origBreak
  \menRest d2 d2. \m c4 \ficta b2 \mE  c1 c2 c c c d e f e f a2. g4 f2 e1 \m d \mE c2 f e g1 g2 g1 \origBreak
  \longaRest \semibreveRest \menRest d2 c2 f d c bes a \m g f1 \mE e \tag #'mens {\breveRest \menRest d'2} \tag #'mod {r1 r1 r2}  f2 d g e f1 e2 f1 \menRest d2 g2 a \m f1 \mE f2 g f e4 \m c g'2 \mE f\breve
  \finalis

}
sanctusTipleTwoWords = \lyricmode {
  San -- ctus, san -- ctus, san -- ctus, Do -- mi -- nus De -- us
  Sa -- ba -- oth. Ple -- ni sunt coe -- li et ter -- ra glo -- ri -- a tu -- a, glo -- ri -- a tu -- a.
  O -- san -- na in ex  -- cel -- sis, O -- san -- na in ex  -- cel -- sis,  O -- san -- na in ex  -- cel -- sis.

}

sanctusAlto = \relative c' {
  \sanctusGlobal
  f\breve g a a1 a g\breve bes a g a g f \menRest g2 a a a a f \origBreak
  e d1 \m cis2 \mE d2 f2. g4 a2 g2. \m a4 \mE bes1 \m g2 \mE g a a bes f4 \m g \mE a2. \m g4 f2 e d1 \mE e \origBreak
  \longaRest r2 g2 bes a a bes a \m c1 bes2 \mE c1 \semibreveRest \menRest bes2 c2 bes1 a2 bes1 a2 g \m a g1 \mE a\breve
  \finalis
}
sanctusAltoWords = \lyricmode {
  San -- ctus, san -- ctus Do -- mi -- nus De -- us Sa -- ba -- oth. Ple -- ni sunt coe -- li
  et ter -- ra glo -- ri -- a tu -- a. O -- san -- na in ex  -- cel -- sis, 
  O -- san -- na in ex  -- cel -- sis, O -- san -- na in ex  -- cel -- sis.

}

sanctusBaxoTwo = \relative c {
  \sanctusGlobal
  \longaRest f2. \m e4 d c d2 c \mE a d1 \[ g \m c, \] \mE bes\breve f'1 \menRest d2 f2 c c g'1 \m d2 \mE f2 a a \m \origBreak
  \[ bes1 \m g \] \mE a\breve \breveRest r2 d,2 \m cis \mE d a1 d2. \m e4 \mE f1 c g' c, \longaRest \semibreveRest r2 c2 d f e d f \m e \origBreak
  d1 \mE c2 c g' d c bes \[ f'1 \m g \] \[ a g \] \mE f2 f bes1 c2 bes1 c2 c \m a2. bes4 c2 \mE a\breve
  \finalis
}
sanctusBaxoTwoWords = \lyricmode {
  San -- ctus, san -- ctus, san -- ctus Do -- mi -- nus De -- us Sa -- ba --
  oth. Ple -- ni sunt coe -- li et ter -- ra. O -- san -- na in ex  -- cel -- 
  sis, O -- san -- na in ex  -- cel -- sis, O -- san -- na in ex  -- cel -- sis.

}

%creates double time signatures for Osanna
#(define ((double-time-signature glyph a b) grob)
   (grob-interpret-markup grob
     (markup #:override '(baseline-skip . 2.5) #:number
       (#:line ((markup (#:fontsize 4 #:musicglyph glyph))
                (#:fontsize -1 #:column (a b)))))))

osannaGlobal = {
  %\hide Staff.BarLine
  \set Score.tempoHideNote = ##t
  %hide Time signature and Key signature at line break
  \once \override Score.TimeSignature.break-visibility = #end-of-line-invisible
  \once \set Staff.explicitKeySignatureVisibility = #end-of-line-invisible
  \key f \major
  
  \bar ""
  \set Score.currentBarNumber = #29

  \tag #'mod {
    %force original time signature
    \set Staff.timeSignatureFraction = #'(3 . 2)
    \time 3/2
  }
  \tag #'mens {
    \override Score.TimeSignature.stencil =
    #(double-time-signature  "timesig.mensural34" "3" "2")
    \time 3/4
  }
}

%perfected breve and longa
breveTP = #(ly:make-duration -1 0 3/2)
longaTP = #(ly:make-duration -2 0 3/2)

%make modern versions whole bars
longaTPRest = {
  \tag #'mens {r\longaTP} \tag #'mod {R\longa.}
}
breveTPRest = {
  \tag #'mens {r\breveTP} \tag #'mod {R\breve.}
}

osannaTipleOne = \relative c'' {
  \osannaGlobal
  c\breve c1 c\breve f1 e\breve d1 \m f\breve e1 c\breve \mE c1 c d \tag #'mens {f1} \tag #'mod {f\breve} e1 d c\breve \m bes1 \mE \origBreak
  \tag #'mens { c\breveTP } \tag #'mod {c\breve.} \breveTPRest r1 d c bes g' g e \menRest d1 c e g d2 e f1 \m e\breve \mE d1 \menRest d1 f g e d d c\breve \origBreak
  r1 d d d a c c c\breve c1 c c \menRest g1 a c c c \m a \mE a a f  a c\breve r1 c c \tag #'mens {c\breveTP c } \tag #'mod {c\breve. c}
  \finalis
}
osannaTipleOneWords = \lyricmode {
  O -- san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel -- 
  sis, O -- san -- na, O -- san -- na, O -- san -- na in ex -- cel -- sis, O -- san -- na, O -- san -- na,
  O -- san -- na in ex -- cel -- sis, O -- san -- na, O -- san -- na, O -- san -- na, O -- san -- na in ex -- cel -- sis.

}

osannaTenor = \relative c' {
  \osannaGlobal
  f\breve e1 c\breve c1 e c \m d \mE d\breve r1 c f e f\breve d1 d \m e2 c \mE d1 \breveTPRest \origBreak
  \tag #'mens {c\breveTP} \tag #'mod {c\breve.} d\breve e1 d f e1. \m d2 \mE c1 bes c f f e d d c c\breve \longaTPRest f,1 a c \origBreak
  g2 a \m bes c d e \mE f\breve f1 \menRest a,1 f a c \m a2 bes c d \mE  e1 c e c e d e d d f 
  \override Score.FootnoteItem.annotation-line = ##f
  \footnote "*)" #'(0 . 1.25) \markup {\normal-text \concat {"*) B" { \raise #1 \teeny \flat} " in manuscript. See Critical Notes."} }
  c \menRest e1 r1 e c \tag #'mens {c\breveTP c} \tag #'mod {c\breve. c }
  \finalis

}
osannaTenorWords = \lyricmode {
  O -- san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis, 
  O -- san -- na in ex -- cel -- sis, O -- san -- na, O -- san -- na, O -- san -- na, O -- san -- na
  in ex -- cel -- sis, in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis.

}

osannaBaxoOne = \relative c' {
  \osannaGlobal
  c\breve c1 a\breve a1 c\breve bes1 \m f\breve \mE c1 f a c a a bes \m d \mE c bes a \origBreak
  f \m g \mE c, r r \longaTPRest \breveTPRest r1 f a c g2 a bes1 f r c' \m bes \mE d a g c f, r r f e g d \origBreak
  d2 \m e f g a bes \mE c1 a\breve \breveTPRest r1 f c f c \m d \mE a d\breve  r1 a' g f c' a \tag #'mens {g\breveTP a} \tag #'mod {g\breve. a }
  \finalis

}
osannaBaxoOneWords = \lyricmode {
  O -- san -- a in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis, in ex --
  cel -- sis. O -- san -- na in ex -- cel -- sis, O -- san -- na, O -- san -- na, O -- san -- na in
  ex -- cel -- sis, O -- san -- na, O -- san -- na, O -- san -- na in ex -- cel -- sis.

}

osannaTipleTwo = \relative c' {
  \osannaGlobal
  f\breve g1 a\breve a1 g\breve bes1 \m a\breve g1 a\breve  g1 \mE \tag #'mens {f\breveTP} \tag #'mod {f\breve.} \longaTPRest c'1. d2 e1 d f e \m \origBreak
  f1 \mE d g1. \m f2 \mE e1 d c\breveTP r1 r f, a c g2 a bes1 a c e g d2 e f\breve e1 \longaTPRest \menRest g,1 \menRest g1 f \origBreak
  g a a g f \m e \mE f \menRest bes1 d c d\breve c1 f e f e f \tag #'mens {g\breveTP f} \tag #'mod {g\breve. f }
  \finalis

}
osannaTipleTwoWords = \lyricmode {
  O -- san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel --
  sis, in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis, O --
  san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis, in ex -- cel -- sis.

}

osannaAlto = \relative c'' {
  \osannaGlobal
  a\breve g1 f\breve f1 g\breve g1 f\breve g1 f\breve g1 a a f f g g \m a\breve d,1 \mE e\breve. r1 f \m g \mE bes bes g g\breve. g1 a \m c \mE g bes bes \origBreak
  a1 g\breve r1 f \m a \mE c g2 a bes1 a a\breve g1 d2 e \m f g \mE a1 a a g a a g f\breve r1 f g a g \m f \mE e f\breve r1 f g a g f \tag #'mens {e\breveTP f\breveTP} \tag #'mod {e\breve. f }
  \finalis

}
osannaAltoWords = \lyricmode {
  O -- san -- na in ex -- cel -- sis, O -- san -- na, O -- san -- na in ex -- cel -- sis, O -- san -- na, O -- san -- na, O -- san -- na, O --
  san -- na, O -- san -- na in ex -- cel -- sis, in ex -- cel -- sis, O -- san -- na in ex -- cel -- sis, O -- san -- na, O -- san -- na, O -- san -- na in ex -- cel -- sis.

}

osannaBaxoTwo = \relative c {
  \osannaGlobal
  f\breve c1 f\breve f1 c\breve g'1 \m d\breve e1 f\breve c1 \mE f\breve r1 \longaTPRest c'1. bes2 a1 bes d c \m \origBreak
  bes\breve c1 \tag #'mens {g\breve.} \tag #'mod {g\breveTP} \mE c,1 \menRest d1 \menRest d1 \breveTPRest r1 c e g d2 e f1 c\breve bes2 \m c d e f g a bes \mE \origBreak
  c1 bes \m a \mE a r f e f f c1 \m f\breve \mE c1 c' c a c \m f, \mE a f\breve r1 f c f c f \tag #'mens {c\breveTP f} \tag #'mod { c\breve. f}
  \finalis

}
osannaBaxoTwoWords = \lyricmode {
  O -- san -- na in ex -- cel -- sis, O -- san -- na in ex -- cel -- 
  sis, O -- san -- na in ex -- cel -- sis, in 
  ex -- cel -- sis, O -- san -- na, O -- san -- na, O -- san -- na, O -- san -- na, O -- san -- na in ex -- cel -- sis.

}

benedictusGlobal = {
  %\hide Staff.BarLine
  \set Score.tempoHideNote = ##t
  %hide Time signature and Key signature at line break
  \once \override Score.TimeSignature.break-visibility = #end-of-line-invisible
  \once \set Staff.explicitKeySignatureVisibility = #end-of-line-invisible
  \key f \major

  \bar ""
  \set Score.currentBarNumber = #58

   %force C time signature for mensural
  \tag #'mens {\set Staff.timeSignatureFraction = #'(4 . 4)}
  %but use modern time sig for modern edition
  \time 2/1
}

benedictusRests = {s\breve*26}

benedictusTiple = \relative c'' {
  \benedictusGlobal
  c\breve d e1 f2. e4 d2. \m c4 bes a bes2 \mE bes bes a2. \m bes4 c2 e c1 \mE d r2 c2 \origBreak
  a2 c1 bes2 a2. \m bes4 c d e1 \mE c2 d2. e4 f2 c c1 r2 c2. \m d4 \mE f2 e d2. \m c4 \mE c1 \m \ficta b2 \origBreak
  c2  a1 \mE g2 a1 r2 bes2 c d2. d4 f2 \m g1 \mE c,2 d c d c a a1 \m bes \mE a\breve \m g1 \mE e \restFlip r2 f'2 d e f c1 c2 a\breve-\tag #'mod ^\markup {\left-align "Osanna ut supra (m. 29)"}
  \finalis
}
benedictusTipleWords = \lyricmode {
  Be -- ne -- dic -- tus qui ve -- nit, qui ve -- nit in
  no -- mi -- ne Do -- mi -- ni, in no -- mi -- ne, in __ no -- mi -- ne __ Do --
  mi -- ni, in no -- mi -- ne Do -- mi -- ni, in no -- mi -- ne Do -- mi -- ni, in no -- mi -- ne Do -- mi -- ni.

}

benedictusTenor = \relative c' {
  \benedictusGlobal

  \longaRest c\breve d e2 \m d \mE c c1 \m bes2 \mE a2. \m g4 f e f2 \mE  g g f a c d1 \m c4 bes a2 \mE a \m \origBreak
  c1 \mE g2 g f f'1 \m e2 \mE f f d1 g2 d f4 \m g \mE a2 d, g \m e f1 \mE e2 f1 r2 d2 c bes \origBreak
  a2 a \m c1 \mE a2 bes \restSplit c2 d f e d2. \m c4 c1 \mE bes2 c1 \m f,2 \mE f f1 g2 g \[ a1 \m g \] f1. \mE e2 f\breve
  \finalis

}
benedictusTenorWords = \lyricmode {
  Be -- ne -- dic -- tus qui ve -- nit in no -- mi -- ne Do -- mi -- 
  ni, be -- ne -- dic -- tus qui ve -- nit in no -- mi -- ne Do -- mi -- ni, in no -- mi -- 
  ne Do -- mi -- ni, in no -- mi -- ne Do -- mi -- ni, __ in no -- mi -- ne Do -- mi -- ni.

}

benedictusAlto = \relative c' {
  \benedictusGlobal

  r1 f\breve g a g f1 e f r2 f1 e2 f f e f1 \m e4 d \mE e2 c e1 g2 g \origBreak
  a1 \[ g1 \m a \] \mE bes1. bes2 a f g1 r2 c2 \m a c2. bes4 \mE a2 g1 \restSplit g2 f d e f e f1 f d2 \origBreak
  c2 f2. \m g4 \mE a1 d,2 c c' \m a \mE c2. bes4 a2 d, \m g \mE e a bes1 \[ a1 \m g \] \mE f\breve
  \finalis

}
benedictusAltoWords = \lyricmode {
  Be -- ne -- dic -- tus qui ve -- nit, be -- ne -- dic -- tus qui ve -- nit in no -- mi -- ne
  Do -- mi -- ni, in no -- mi -- ne Do -- mi -- ni, in no -- mi -- ne Do -- mi -- ni, in no --
  mi -- ne Do -- mi -- ni, in no -- mi -- ne Do -- mi -- ni, Do -- mi -- ni.

}

benedictusBaxo = \relative c {
  \benedictusGlobal

  \longaRest r1 f\breve g a1 a2 g f2. \m e4 d c d2 c1 \mE f \restSplit c'2 a c1 bes2 a2. \m bes4 \origBreak
  c2 \mE c f, f bes1 g2 g a1 g c, \menRest f1 r2 f2 g bes a g2. \m f4 f1 e2 \mE f bes, \menRest bes2 bes2 \origBreak
  c2 d2. d4 f2 bes,1 c2 d2. \m e4 f2 \mE g1 a r2 c2 a \m c1 \mE b2 c f, \m g1 a2 a, \mE c1 f\breve
  \finalis
}
benedictusBaxoWords = \lyricmode {
  Be -- ne -- dic -- tus qui ve -- nit in no -- mi -- ne Do --
  mi -- ni, in no -- mi -- ne Do -- mi -- ni, in no -- mi -- ne Do -- mi -- ni, in 
  no -- mi -- ne Do -- mi -- ni, Do -- mi -- ni, in no -- mi -- ne Do -- mi -- ni.

}